import request from '@/utils/request';

/**
 * @deprecated 评价查询
 * @param {*} params
 * @returns
 */
export function getEvaluateListApi(params) {
  return request({
    url: '/admin/assess/query',
    data: params,
    method: 'GET',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
}
/**
 * @deprecated 评价查询
 * @param {*} params
 * @returns
 */
export function getMerchantQueryApi(params) {
  return request({
    url: '/maintain/assess/merchantQuery',
    data: params,
    method: 'post',
    // headers: {
    //   'Content-Type': 'application/x-www-form-urlencoded',
    // },
  });
}
/**
 * @description
 * @param {*} data 商家回复
 * @returns
 */

export function addEvaluateRecoverApi(data) {
  return request({
    url: `/assess/recover/add`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json',
    },
  });
}

/**
 * @description 默认回复的获取
 * @param {*} params
 * @returns
 */

export function getDefaultMsgApi(params) {
  return request({
    url: '/admin/assess/getDefaultMsg',
    data: params,
    method: 'GET',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * @description 默认回复的保存
 * @param {*} data
 * @returns
 */

export function saveDefaultMsgApi(data) {
  return request({
    url: `/admin/assess/saveDefaultMsg`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
